> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spherepay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a Customer Face Verification Link

> Generate a face verification link for a customer.

Generate a Sumsub face liveness verification link for an individual customer. This endpoint is part of the **Sphere-Managed** KYC onboarding model, where SpherePay hosts the liveness check experience. After calling this endpoint, redirect your customer to the returned `url` so they can complete the face liveness check in their browser. The link expires at the time indicated by `expiresAt` — generate a new one if it has expired before the customer completes verification.

<Info>
  This endpoint is only required in the Sphere-Managed onboarding model. If you are using the Platform-Managed model, upload a liveness report document directly via the [document upload](/api-reference/document/post) endpoint instead.
</Info>


## OpenAPI

````yaml openapi/spherepay.yaml POST /v2/customer/{id}/face-verification-link
openapi: 3.0.0
info:
  title: ''
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.spherepay.co
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v2/customer/{id}/face-verification-link:
    post:
      summary: Face Verification Link
      description: Generate a face verification link for a customer.
      parameters:
        - name: id
          required: true
          in: path
          description: Customer ID
          schema:
            example: customer_f31121c389624d3697cbf3ea8830b7a4
            type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateFaceVerificationLinkResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Bad Request:
                  summary: Bad Request
                  value:
                    status: 400
                    detail: Invalid request parameters
                    code: address/invalid
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Not Found:
                  summary: Not Found
                  value:
                    status: 404
                    detail: Resource not found
                    code: resource/not-found
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
        '422':
          description: Unprocessable Entity - Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Validation Error:
                  summary: Validation Error
                  value:
                    status: 422
                    detail: Validation failed
                    code: validation/failed
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
                    errors:
                      - detail: Invalid email format
                        pointer: /email
                      - detail: Name is required
                        pointer: /name
components:
  schemas:
    GenerateFaceVerificationLinkResponseDto:
      type: object
      properties:
        url:
          description: Hosted face verification URL
          example: https://in.sumsub.com/websdk/p/sbx_uq30ag1ov7oHZhmx
          type: string
        expiresAt:
          description: >-
            ISO 8601 formatted date and time of the face verification URL
            expiration
          example: '2026-03-09T20:46:31.305Z'
          type: string
      required:
        - url
        - expiresAt
    ProblemDetailsDto:
      type: object
      properties:
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              pointer:
                type: string
              parameter:
                type: string
              header:
                type: string
            required:
              - detail
        correlationId:
          type: string
      required:
        - status
        - detail
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````